[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# subtract(Tmatrix3_extended,extended):Tmatrix3_extended

Add scalar to three-dimensional extended precision matrix

## Declaration

Source position: matrix.pp line 598

`operator operator -(`
`const m: Tmatrix3_extended;`
`const x: extended`
`):Tmatrix3_extended;`

## Description

This operator allows you to subtract a scalar value from a matrix. The scalar is subtracted from all elements of the matrix, the result is returned as a new matrix.